Gentoo Archives: gentoo-lisp

From: Ulrich Mueller <ulm@g.o>
To: gentoo-lisp@l.g.o
Subject: [gentoo-lisp] GNU Emacs multi-tty branch has been merged
Date: Sat, 01 Sep 2007 11:37:01
As you may have noticed, upstream has merged the multi-tty CVS branch
into the CVS trunk and subsequently changed the version number of the

Here is an overview about the Emacs versions currently provided by
Gentoo in package app-editors/emacs-cvs:

emacs-cvs-22.1.50-r1 ("eselect emacs emacs-22-cvs"):
   Live CVS for the EMACS_22_BASE branch. This will be used for the
   next Emacs 22 release, i.e. 22.2.

emacs-cvs-22.1.50_p20070829 ("eselect emacs emacs-22-cvs"):
   Snapshot of the CVS trunk, immediately before the multi-tty merge.
   (Unfortunately, upstream used identical versions 22.1.50 for both
   the trunk and the base branch.)

emacs-cvs-23.0.50 ("eselect emacs emacs-23"):
   Live CVS for the trunk. This includes multi-tty now.

emacs-cvs-23.0.0-r7 ("eselect emacs emacs-23-unicode"):
   Live CVS for the unicode-2 branch. This also includes support for
   Xft font rendering (with USE=xft).

The separate ebuild for the multi-tty branch (emacs-cvs-23.0.51) has
been removed from the Emacs overlay.

You may find further information, for example on USE flags, on our
developer page:

gentoo-lisp@g.o mailing list